| Home | Libraries | People | FAQ | More

## Function template erase_last

boost::algorithm::erase_last — Erase last algorithm.

## Synopsis

    template<typename SequenceT, typename RangeT>
      void erase_last(SequenceT & Input, const RangeT & Search);

## Description

Remove the last occurrence of the substring from the input. The input sequence is modified in-place.

Parameters: |
`Input` | An input string
`Search` | A substring to be searched for

| Copyright © 2002-2004 Pavol Droba